//---------------------------------------------------------------------------

#ifndef uMainH
#define uMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>

#include "extres.h"     // include function definitions for the Extres library
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class TfrmExtresViewer : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBoxSearch;
        TLabel *lblStart;
        TEdit *EditStart;
        TLabel *LblEnd;
        TEdit *EditEnd;
        TGroupBox *GroupBoxFound;
        TListBox *ListBoxFound;
        TGroupBox *GroupBoxData;
        TMemo *MemoData;
        TGroupBox *GroupBoxSelect;
        TEdit *EditFilename;
        TButton *btnFindFile;
        TOpenDialog *OpenDialog;
        TGroupBox *GroupBoxKey;
        TEdit *EditKey;
        TRadioButton *RadioButtonDefault;
        TRadioButton *RadioButtonCustom;
        TGroupBox *GroupBoxView;
        TButton *btnView;

        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnFindFileClick(TObject *Sender);
        void __fastcall btnViewClick(TObject *Sender);
        void __fastcall ListBoxFoundClick(TObject *Sender);
        void __fastcall RadioButtonClick(TObject *Sender);
        void __fastcall EditKeyExit(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmExtresViewer(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmExtresViewer *frmExtresViewer;
//---------------------------------------------------------------------------
#endif
